Bets By Draw

Retrieves all bets related to a specific lottery draw, identified by drawNumber

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Bets By Draw - Response Fields


FieldTypeDescription
draw.lotteryNamestringLottery name (e.g., “Mega-Sena”).
draw.categoryIdintegerLottery category identifier.
draw.drawNumberintegerDraw number.
draw.drawDatestringDraw date and time (ISO 8601 format).
draw.jackpotintegerJackpot amount in cents.
draw.concludedbooleanIndicates whether the draw has been concluded.
draw.extraordinarySlugStringExtraordinary draw slug. Null when the draw is special or regular
bets[].externalOrderIdstringExternal order identifier associated with the bet.
bets[].externalProductIdintegerExternal product identifier of the bet. Used to retrieve bet details.
bets[].internalProductIdintegerInternal product identifier of the bet. Generated when the product is registered at the lottery and must be used to obtain the draw result for that product.
bets[].productTypestringBet product type (e.g., “syndicate”, “single-line”).
bets[].productNamestringBet product name.
bets[].prizedbooleanIndicates whether the bet was a winning one.
Path Params
string
required

Lottery category identifier

string
required

Lottery draw number

Body Params
string
required

Customer CPF

Headers
string

Authentication api key

string

A security HMAC to validate the integrity of the request

string

Request timestamp. Timestamp with more than 5 minutes will be rejected

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json